package cn.com.liandisys.ycjt.ggcx.highwayevent.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.liandisys.ycjt.ggcx.common.util.MessageUtil;
import cn.com.liandisys.ycjt.ggcx.highwayevent.model.HighWayEvent;
import cn.com.liandisys.ycjt.ggcx.highwayevent.service.HighWayEventService;

/**
 * 
 * 项目名称：ycjt-ggcx    
 * 类名称：HighWayEventController    
 * 类描述：   高速公路事件
 * 创建人：zhangyn    
 * 创建时间：2017年5月2日 下午2:23:40    
 * 修改人：zhangyn    
 * 修改时间：2017年5月2日 下午2:23:40    
 * 修改备注：    
 * @version     
 *
 */
@Controller
public class HighWayEventController {

    private Logger logger = LoggerFactory.getLogger(HighWayEventController.class);

    @Autowired
    private HighWayEventService highwayEventService;

    @RequestMapping(value = "getHighWayList.do")
    @ResponseBody
    public Map<String, Object> getHighWayEventList(Model model) {

        Map<String, Object> retMap = new HashMap<String, Object>();
        try {
            // 根据条件取得结果集
            List<HighWayEvent> highwayEventList = highwayEventService.getHighWayEventList();
            retMap.put("result", highwayEventList);
            return MessageUtil.buildResponseMap(true, retMap);
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
            return MessageUtil.buildResponseMap(false, MessageUtil.buildSystemErrorMessage(e), retMap);
        }
    }
}
